Package com.pixelmed.convert

## Class TIFFImageFileDirectory

- java.lang.Object
- - com.pixelmed.convert.TIFFImageFileDirectory

-     public class TIFFImageFileDirectory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.SortedMap<java.lang.Integer,​TIFFImageFileDirectoryEntry>` | `entries` |
    `protected long` | `ifdOffsetNext` |
    `protected long` | `ifdOffsetThis` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIFFImageFileDirectory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getByteValues​(int tagIdentifier)` |
    `TIFFImageFileDirectoryEntry` | `getEntry​(int tagIdentifier)` |
    `long[]` | `getNumericValues​(int tagIdentifier)` |
    `long` | `getSingleNumericValue​(int tagIdentifier, int valueNumber, long defaultValue)` |
    `double` | `getSingleRationalValue​(int tagIdentifier, int valueNumber, double defaultValue)` |
    `java.lang.String[]` | `getStringValues​(int tagIdentifier)` |
    `long` | `read​(TIFFFile f, long ifdOffset)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ifdOffsetThis

          protected long ifdOffsetThis

    - #### ifdOffsetNext

          protected long ifdOffsetNext

    - #### entries

          protected java.util.SortedMap<java.lang.Integer,​TIFFImageFileDirectoryEntry> entries

  - ### Constructor Detail

    - #### TIFFImageFileDirectory

          public TIFFImageFileDirectory()

  - ### Method Detail

    - #### read

          public long read​(TIFFFile f,
                           long ifdOffset)
                    throws java.io.EOFException,
                           java.io.IOException,
                           TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getEntry

          public TIFFImageFileDirectoryEntry getEntry​(int tagIdentifier)

    - #### getSingleRationalValue

          public double getSingleRationalValue​(int tagIdentifier,
                                               int valueNumber,
                                               double defaultValue)

    - #### getSingleNumericValue

          public long getSingleNumericValue​(int tagIdentifier,
                                            int valueNumber,
                                            long defaultValue)

    - #### getNumericValues

          public long[] getNumericValues​(int tagIdentifier)

    - #### getByteValues

          public byte[] getByteValues​(int tagIdentifier)

    - #### getStringValues

          public java.lang.String[] getStringValues​(int tagIdentifier)